Page MenuHomePhabricator

Disambig previews not working when a summary cannot be generated
Closed, ResolvedPublic2 Estimated Story PointsBUG REPORT

Description

NOTE: this can be worked around by adding a paragraph of text at the top of impacted disambiguation pages but given this is never used this seems like an annoying constraint to have.

Steps to replicate the issue (include links if applicable):

What happens?:

The disambiguation doesn't show because no summary exists for the preview.

What should have happened instead?:

A preview should be generated as the summary is not needed. For example:

e.g. https://en.wikipedia.org/wiki/Samuel_H._Smith

Screenshot 2023-09-20 at 5.38.33 PM.png (603×1 px, 170 KB)

Other information (browser name/version, screenshots, etc.):

User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:109.0) Gecko/20100101 Firefox/118.0

Nav Popups render:

obraz.png (404×585 px, 57 KB)

Core preview (no preview error):

obraz.png (332×1 px, 63 KB)

API: https://pl.wikipedia.org/api/rest_v1/page/summary/Deformacja

{"type":"disambiguation","title":"Deformacja","displaytitle":"<span class=\"mw-page-title-main\">Deformacja</span>","namespace":{"id":0,"text":""},"wikibase_item":"Q1182738","titles":{"canonical":"Deformacja","normalized":"Deformacja","display":"<span class=\"mw-page-title-main\">Deformacja</span>"},"pageid":651493,"lang":"pl","dir":"ltr","revision":"62805664","tid":"30c628a0-1284-11ee-a40b-0f7eb079083b","timestamp":"2021-03-26T20:41:20Z","description":"strona ujednoznaczniająca","description_source":"central","content_urls":{"desktop":{"page":"https://pl.wikipedia.org/wiki/Deformacja","revisions":"https://pl.wikipedia.org/wiki/Deformacja?action=history","edit":"https://pl.wikipedia.org/wiki/Deformacja?action=edit","talk":"https://pl.wikipedia.org/wiki/Dyskusja:Deformacja"},"mobile":{"page":"https://pl.m.wikipedia.org/wiki/Deformacja","revisions":"https://pl.m.wikipedia.org/wiki/Special:History/Deformacja","edit":"https://pl.m.wikipedia.org/wiki/Deformacja?action=edit","talk":"https://pl.m.wikipedia.org/wiki/Dyskusja:Deformacja"}}
,"extract":""
,"extract_html":""
}

QA Results - Beta

ACStatusDetails
1T346686#9339674

QA Results - Prod

ACStatusDetails
1T346686#9343355

Event Timeline

Jdlrobson subscribed.

Note, the JS error "Page previews: No settings button found in preview." is unrelated.
The error preview is showing because a summary cannot be generated for the https://pl.wikipedia.org/wiki/Deformacja page. I imagine {{Ujednoznacznienie}} is causing problems. https://www.mediawiki.org/wiki/Recommendations_for_mobile_friendly_articles_on_Wikimedia_wikis might be helpful

Jdlrobson renamed this task from Disambig previews not working and no settings button message to Disambig previews not working when a summary cannot be generated.Sep 21 2023, 12:41 AM
Jdlrobson reopened this task as Open.
Jdlrobson updated the task description. (Show Details)
Jdlrobson added a project: Web-Team-Backlog.

Reopening after further troubleshooting with @Nux as this turns out to be slightly different from T272394.

ovasileva lowered the priority of this task from High to Medium.Oct 12 2023, 5:28 PM
ovasileva set the point value for this task to 2.

Change 973229 had a related patch set uploaded (by Jdlrobson; author: Jdlrobson):

[mediawiki/extensions/Popups@master] Allow disambiguation previews to render when no summary found

https://gerrit.wikimedia.org/r/973229

For code review / testing I used the following configuration:

wfLoadExtension('Popups');
$wgPopupsGateway = 'restbaseHTML';
$wgMFMwApiContentProviderBaseUri = "https://pl.wikipedia.org/w/api.php";
$wgPopupsRestGatewayEndpoint = 'https://pl.wikipedia.org/api/rest_v1/page/summary/';
$wgArticlePath = "/wiki/$1";

Change 973229 merged by jenkins-bot:

[mediawiki/extensions/Popups@master] Allow disambiguation previews to render when no summary found

https://gerrit.wikimedia.org/r/973229

Edtadros subscribed.

Test Result - Beta

Status: ✅ PASS
Environment: beta
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Open https://pl.wikipedia.org/wiki/Karykatura
Hover "(deformacja)" (disamb page).
✅ AC1: A preview should be generated as the summary is not needed. See task description example.

screenshot 217.png (589×1 px, 382 KB)

Mabualruz claimed this task.

Looks like the fix is working

Test Result - Prod

Status: ✅ PASS
Environment: plwiki
OS: macOS Sonoma
Browser: Chrome
Device: MBA
Emulated Device:NA

Test Artifact(s):

QA Steps

Open https://pl.wikipedia.org/wiki/Karykatura
Hover "(deformacja)" (disamb page).
✅ AC1: A preview should be generated as the summary is not needed. See task description example.

screenshot 263.png (932×1 px, 402 KB)

screenshot 264.png (936×1 px, 375 KB)